libzypp 17.38.5

downloader.h File Reference
`#include <zypp-core/ng/base/Base>`
`#include <zypp-core/ng/pipelines/Expected>`
`#include <zypp-core/Pathname.h>`
`#include <zypp-core/OnMediaLocation>`
`#include <zypp-core/ByteCount.h>`
`#include <zypp-core/ManagedFile.h>`
`#include <zypp/ng/context.h>`
`#include <zypp/ng/media/provide.h>`
`#include <zypp/repo/PluginRepoverification.h>`
`#include <zypp/RepoStatus.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/ng/workflows/downloadwf.h>`
`#include <optional>`

Go to the source code of this file.

## Classes
class | zyppng::repo::DownloadContext

## Namespaces
namespace | zyppng
namespace | zyppng::repo

## Functions
| zyppng::repo::ZYPP_FWD_DECL_TYPE_WITH_REFS (DownloadContext)